import React from "react";
import { UserTab } from "./UserTab";
import { SdkContextClass } from "../../../contexts/SDKContext";
interface IProps {
    initialTabId?: UserTab;
    sdkContext: SdkContextClass;
    onFinished(): void;
}
interface IState {
    mjolnirEnabled: boolean;
}
export default class UserSettingsDialog extends React.Component<IProps, IState> {
    private settingsWatchers;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private mjolnirChanged;
    private getTabs;
    render(): React.ReactNode;
}
export {};
